<?php
require_once('include/config.php');
require_once('include/db.php');

$dir = @$_GET['dir'];
if (empty($dir)) {
	die('Niepoprawne żądanie');
}

$dirinfo = get_dir_info($dir);
if (!$dirinfo) {
	die('Nie ma katalogu');
}
$images = get_dir_images($dir);
$content = '';
foreach ($images as $image) {
	$path = urlencode($image['path']);
	$content .= '<a href="image.php?dir='.$dir.'&amp;file='.$path.'"><img src="' . $config['thumbnailpath'] . urlencode($dir) . '/' . $config['thumbnailsize'] . '-' . $path . '" alt="Obrazek"/></a>';
}

if (!$images || count($images) == 0) {
	$content = 'Katalog jest pusty!';
}

$dirname = htmlspecialchars($dirinfo['name']);

?><!DOCTYPE html>
<html>
<head>
<title>Obrazki: <?=$dirname?></title>
<link rel="stylesheet" href="/obrazki/style.css" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>
<body>
<h1>Obrazki: <?=$dirname?></h1>
<a class="gora" href="."></a><h2>... wybierz dowolny obrazek, najlepiej pierwszy.</h2>
<?=$content?>
<a class="k4" href="http://k4be.pl/"></a>
</body>
</html>

